# optimbase_new

Creates a new optimization object.

## Calling Sequence

                opt = optimbase_new()

## Argument

opt

  The new object of TOPTIM type (tlist).

## Description

`optimibase_new()` creates a new optimization object, managing

- the number of variables,

- the minimum and maximum bounds,

- the number of non linear inequality constraints,

- the logging system,

- various termination criteria,

- etc.

## Example

        opt = optimbase_new();
        opt = optimbase_configure ( opt , "-numberofvariables",2);
        iter = optimbase_get(opt, "-iterations")
        opt = optimbase_destroy(opt);

## See Also

- optimbase_destroy
- optimbase_configure
- optimbase_cget